X
Tap here to go to the mobile version of the site.

Support Forum

I need support installing the most recent version of firefox so i can stream with netflix

Posted

I have firefox but am unable to stream netflix. I supposedly need to update to the latest version but have followed all the prompts and nothing. Thanks!

I have firefox but am unable to stream netflix. I supposedly need to update to the latest version but have followed all the prompts and nothing. Thanks!

Additional System Details

Installed Plug-ins

  • Gecko Media Player 1.0.8Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
  • DivX Web Player version 1.4.0.233
  • The IcedTea-Web Plugin executes Java applets.
  • The Videos 3.10.1 plugin handles video and audio streams.
  • Shockwave Flash 24.0 r0

Application

  • Firefox 51.0.1
  • User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
  • Support URL: https://support.mozilla.org/1/firefox/51.0.1/Linux/en-US/

Extensions

  • Application Update Service Helper 1.5 (aushelper@mozilla.org)
  • Diagnostics 1.0 (diagnostics@mozilla.org)
  • Multi-process staged rollout 1.12 (e10srollout@mozilla.org)
  • Pocket 1.0.5 (firefox@getpocket.com)
  • Send HSTS Priming Requests 1.0 (hsts-priming@mozilla.org)
  • SHA-1 deprecation staged rollout 1.3 (disableSHA1rollout@mozilla.org)
  • Web Compat 1.0 (webcompat@mozilla.org)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: Intel Open Source Technology Center -- Mesa DRI Mobile Intel® GM45 Express Chipset
  • adapterDeviceID: Mesa DRI Mobile Intel® GM45 Express Chipset
  • adapterDrivers:
  • adapterRAM:
  • adapterVendorID: Intel Open Source Technology Center
  • crashGuards: []
  • currentAudioBackend: pulse
  • driverDate:
  • driverVersion: 2.1 Mesa 10.5.9
  • featureLog: {u'fallbacks': [], u'features': [{u'status': u'blocked', u'description': u'Compositing', u'log': [{u'status': u'blocked', u'message': u'Acceleration blocked by platform', u'type': u'default'}], u'name': u'HW_COMPOSITING'}, {u'status': u'unavailable', u'description': u'OpenGL Compositing', u'log': [{u'status': u'unavailable', u'message': u'Hardware compositing is disabled', u'type': u'default'}], u'name': u'OPENGL_COMPOSITING'}]}
  • info: {u'ApzWheelInput': 1, u'ApzTouchInput': 1, u'CairoUseXRender': 0, u'AzureFallbackCanvasBackend': u'none', u'AzureCanvasAccelerated': 0, u'AzureCanvasBackend': u'skia', u'AzureContentBackend': u'skia'}
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'']
  • numTotalWindows: 1
  • supportsHardwareH264: No
  • webgl2Renderer: WebGL creation failed: * Error during native OpenGL init. * Error during native OpenGL init. * Error during native OpenGL init. * Error during native OpenGL init. * Error during native OpenGL init. * Exhausted GL driver caps. * Exhausted GL driver options.
  • webglRenderer: Intel Open Source Technology Center -- Mesa DRI Mobile Intel® GM45 Express Chipset
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Basic

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
cor-el
  • Top 10 Contributor
  • Moderator
16396 solutions 147934 answers

Verify that you meet the System Requirements (GTK+ and GLib) for the current Firefox release.

You can find the full version of the current Firefox release (55.0.3) in all languages and all operating systems here:

See also:

Verify that you meet the System Requirements (GTK+ and GLib) for the current Firefox release. *https://www.mozilla.org/en-US/firefox/system-requirements/ *https://www.mozilla.org/en-US/firefox/55.0.3/system-requirements/ You can find the full version of the current Firefox release (55.0.3) in all languages and all operating systems here: *https://www.mozilla.org/en-US/firefox/all/ *https://www.mozilla.org/en-US/firefox/notes/ See also: *https://support.mozilla.org/en-US/kb/enable-drm
FredMcD
  • Top 10 Contributor
3668 solutions 50315 answers

Separate Security Issue: Update your Flash Player Note: Windows users should download the ActiveX for Internet Explorer. and the plugin for Plugin-based browsers (like Firefox).

Note: Windows 8 and Windows 10 have built-in flash players and Adobe will cause a conflict. Install the plugin only. Not the ActiveX.

Flash Player Version: Version 27.0.0.130

https://get.adobe.com/flashplayer/ Direct link scans current system and browser Note: Other software is offered in the download. <Windows Only>

https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) Note: Other software is offered in the download. <Windows Only> +++++++++++++++++++ See if there are updates for your graphics drivers https://support.mozilla.org/en-US/kb/upgrade-graphics-drivers-use-hardware-acceleration

Separate Security Issue: Update your Flash Player '''Note: Windows users''' should download the '''ActiveX''' for ''Internet Explorer.'' '''and''' the '''plugin''' for ''Plugin-based browsers'' (like Firefox). '''Note: Windows 8 and Windows 10''' have built-in flash players and Adobe will cause a conflict. Install the plugin only. Not the ActiveX. Flash Player Version: '''Version 27.0.0.130 ''' https://get.adobe.com/flashplayer/ Direct link scans current system and browser '''Note: Other software''' is offered in the download. <Windows Only> https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) '''Note: Other software''' is offered in the download. <Windows Only> +++++++++++++++++++ See if there are updates for your graphics drivers https://support.mozilla.org/en-US/kb/upgrade-graphics-drivers-use-hardware-acceleration